Engines
Engines by Generation
Show all engines from specific generation.
GET
/
engines
/
generation
/
{generation_id}
Engines by Generation
curl --request GET \
--url https://api.remapdb.com/v2/engines/generation/{generation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.remapdb.com/v2/engines/generation/{generation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.remapdb.com/v2/engines/generation/{generation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.remapdb.com/v2/engines/generation/{generation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.remapdb.com/v2/engines/generation/{generation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.remapdb.com/v2/engines/generation/{generation_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.remapdb.com/v2/engines/generation/{generation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 1234,
"name": "1.8i 125hp 170Nm",
"slug": "1-8i-125hp-170nm",
"engine_code": "XYZ",
"year": 2018,
"capacity": 1800,
"cylinders": 4,
"engine_type": "Petrol",
"fuel": "Petrol",
"ecus": [
{
"name": "EDC17CP54",
"manufacturer": "Bosch"
}
],
"tcus": [
{
"name": "8HP",
"manufacturer": "ZF"
}
],
"performance": {
"power": 150,
"torque": 270,
"dyno_values": {
"rpm": [
1000,
2000,
3000,
4000,
5000,
6000,
7000,
8000,
9000
],
"hp": [
0,
49,
87,
112,
135,
140,
112,
0,
0
],
"nm": [
0,
238,
243,
238,
233,
205,
150,
0,
0
]
}
}
},
{
"id": 5678,
"name": "1.8T 150hp 210Nm",
"slug": "1-8t-150hp-210nm",
"engine_code": "AGU",
"capacity": 1781,
"cylinders": 4,
"engine_type": "Turbo Petrol",
"fuel": "Petrol",
"ecus": [
{
"model": "M3.8.3",
"manufacturer": "Bosch"
},
{
"model": "ME7.5",
"manufacturer": "Bosch"
}
],
"tcus": [],
"performance": {
"power": 150,
"torque": 210,
"dyno_values": {
"rpm": [
1000,
2000,
3000,
4000,
5000,
6000,
7000,
8000,
9000
],
"hp": [
0,
53,
93,
120,
144,
150,
120,
0,
0
],
"nm": [
0,
200,
204,
200,
196,
173,
126,
0,
0
]
}
}
}
]Authorizations
Headers
Path Parameters
Response
Success
Maximum array length:
1000⌘I
Engines by Generation
curl --request GET \
--url https://api.remapdb.com/v2/engines/generation/{generation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.remapdb.com/v2/engines/generation/{generation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.remapdb.com/v2/engines/generation/{generation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.remapdb.com/v2/engines/generation/{generation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.remapdb.com/v2/engines/generation/{generation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.remapdb.com/v2/engines/generation/{generation_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.remapdb.com/v2/engines/generation/{generation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 1234,
"name": "1.8i 125hp 170Nm",
"slug": "1-8i-125hp-170nm",
"engine_code": "XYZ",
"year": 2018,
"capacity": 1800,
"cylinders": 4,
"engine_type": "Petrol",
"fuel": "Petrol",
"ecus": [
{
"name": "EDC17CP54",
"manufacturer": "Bosch"
}
],
"tcus": [
{
"name": "8HP",
"manufacturer": "ZF"
}
],
"performance": {
"power": 150,
"torque": 270,
"dyno_values": {
"rpm": [
1000,
2000,
3000,
4000,
5000,
6000,
7000,
8000,
9000
],
"hp": [
0,
49,
87,
112,
135,
140,
112,
0,
0
],
"nm": [
0,
238,
243,
238,
233,
205,
150,
0,
0
]
}
}
},
{
"id": 5678,
"name": "1.8T 150hp 210Nm",
"slug": "1-8t-150hp-210nm",
"engine_code": "AGU",
"capacity": 1781,
"cylinders": 4,
"engine_type": "Turbo Petrol",
"fuel": "Petrol",
"ecus": [
{
"model": "M3.8.3",
"manufacturer": "Bosch"
},
{
"model": "ME7.5",
"manufacturer": "Bosch"
}
],
"tcus": [],
"performance": {
"power": 150,
"torque": 210,
"dyno_values": {
"rpm": [
1000,
2000,
3000,
4000,
5000,
6000,
7000,
8000,
9000
],
"hp": [
0,
53,
93,
120,
144,
150,
120,
0,
0
],
"nm": [
0,
200,
204,
200,
196,
173,
126,
0,
0
]
}
}
}
]